import request from '@/utils/httpRequest'

export default class SupplierService {
  save (param) {
    return request({
      url: '/material/supplier/save',
      method: 'post',
      data: param
    })
  }
  queryById (id) {
    return request({
      url: '/material/supplier/queryById',
      method: 'get',
      params: {id: id}
    })
  }
  list (param) {
    return request({
      url: '/material/supplier/list',
      method: 'get',
      params: param
    })
  }
  delete (ids) {
    return request({
      url: '/material/supplier/delete',
      method: 'delete',
      params: {ids: ids}
    })
  }
  findByName (name) {
    return request({
      url: '/material/supplier/findByName',
      method: 'get',
      params: {name: name}
    })
  }
}
